{% extends "elections2021/base.html" %}
{% load wagtailcore_tags wagtailimages_tags %}

{% block content %}

<main class="election-program-app">
  <div class="container container--default py-24">
    <header class="grid grid-cols-3">
      <h1 class="head-alt-xl text-white">{{ page.title }}</h1>
      <i class="col-start-3 ico--app text-white text-right"></i>
    </header>
    <section class="election-program-app__body px-8 py-16 md:py-20 md:px-16 mt-16 elevation-6">
      <form method="post">
        {% csrf_token %}

        {% if page.info_title %}
          <div class="grid grid-cols-4 mb-20">
            <div class="col-span-4 md:col-span-1">
              <p class="head-xs font-bold">{{ page.info_title }}</p>
            </div>
            <div class="content-block col-span-4 md:col-span-3 md:pl-16 mt-5 md:mt-0">
              {{ page.info_text|richtext }}
            </div>
          </div>
        {% endif %}

        <div class="grid grid-cols-4">
          <div class="col-span-4 md:col-span-1">
            <p class="head-xs font-bold mt-5">Kolik vám je let?</p>
          </div>
          <div class="col-span-4 md:col-span-3 md:pl-16 mt-5 md:mt-0 inline-flex flex-wrap">
            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="age" id="18-29" value="18-29" {% if active.age == "18-29" %}checked=""{% endif %}>
              <label for="18-29">18 - 29 LET</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="age" id="30-49" value="30-49" {% if active.age == "30-49" %}checked=""{% endif %}>
              <label for="30-49">30 - 49 LET</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="age" id="50-64" value="50-64" {% if active.age == "50-64" %}checked=""{% endif %}>
              <label for="50-64">50 - 64 LET</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="age" id="65-plus" value="65-plus" {% if active.age == "65-plus" %}checked=""{% endif %}>
              <label for="65-plus">65+ LET</label>
            </div>

            <hr class="w-full">
          </div>
        </div>

        <div class="grid grid-cols-4">
          <div class="col-span-4 md:col-span-1">
            <p class="head-xs font-bold">Vychováváte děti?</p>
          </div>
          <div class="col-span-4 md:col-span-3 md:pl-16 mt-5 md:mt-0 inline-flex flex-wrap">
            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="kids" id="ano" value="true" {% if active.kids %}checked=""{% endif %}>
              <label for="ano">ANO</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="kids" id="ne" value="false" {% if not active.kids %}checked=""{% endif %}>
              <label for="ne">NE</label>
            </div>

            <hr class="w-full">
          </div>
        </div>

        <div class="grid grid-cols-4">
          <div class="col-span-4 md:col-span-1">
            <p class="head-xs font-bold">Jak jste na tom s penězi?</p>
          </div>
          <div class="col-span-4 md:col-span-3 md:pl-16 mt-5 md:mt-0 inline-flex flex-wrap">
            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="wealth" id="bad" value="bad" {% if active.wealth == "bad" %}checked=""{% endif %}>
              <label for="bad">NIC MOC</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="wealth" id="average" value="average" {% if active.wealth == "average" %}checked=""{% endif %}>
              <label for="average">PRŮMĚRNĚ</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="wealth" id="good" value="good" {% if active.wealth == "good" %}checked=""{% endif %}>
              <label for="good">SKVĚLE</label>
            </div>

            <hr class="w-full">
          </div>
        </div>

        <div class="grid grid-cols-4">
          <div class="col-span-4 md:col-span-1">
            <p class="head-xs font-bold">Máte nějaké povolání?</p>
          </div>
          <div class="col-span-4 md:col-span-3 md:pl-16 mt-5 md:mt-0 inline-flex flex-wrap">
            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="occupation" id="student" value="student" {% if active.occupation == "student" %}checked=""{% endif %}>
              <label for="student">STUDUJI</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="occupation" id="working" value="working" {% if active.occupation == "working" %}checked=""{% endif %}>
              <label for="working">PRACUJI</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="occupation" id="business" value="business" {% if active.occupation == "business" %}checked=""{% endif %}>
              <label for="business">PODNIKÁM</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="occupation" id="parenting" value="parenting" {% if active.occupation == "parenting" %}checked=""{% endif %}>
              <label for="parenting">NA RODIČOVSKÉ</label>
            </div>

            <div class="radio program-radio form-field__control mb-2 mr-2">
              <input type="radio" name="occupation" id="retired" value="retired" {% if active.occupation == "retired" %}checked=""{% endif %}>
              <label for="retired">V DŮCHODU</label>
            </div>

            <hr class="w-full">
          </div>
        </div>

        <div class="grid grid-cols-4">
          <div class="col-span-4 md:col-span-1">
            <p class="head-xs font-bold">Jaké téma je vám blízké?</p>
          </div>
          <div class="col-span-4 md:col-span-3 md:pl-16 mt-5 md:mt-0 inline-flex flex-wrap">
            <div class="checkbox program-checkbox form-field__control mr-2 mb-2 ">
              <label>
                <input type="checkbox" id="nature" value="nature" name="topics" {% if active.nature %}checked=""{% endif %}> <span>PŘÍRODA</span>
              </label>
            </div>

            <div class="checkbox program-checkbox form-field__control mr-2 mb-2 ">
              <label>
                <input type="checkbox" id="sport" value="sport" name="topics" {% if active.sport %}checked=""{% endif %}> <span>SPORT</span>
              </label>
            </div>

            <div class="checkbox program-checkbox form-field__control mr-2 mb-2 ">
              <label>
                <input type="checkbox" id="health" value="health" name="topics" {% if active.health %}checked=""{% endif %}> <span>ZDRAVÍ</span>
              </label>
            </div>

            <div class="checkbox program-checkbox form-field__control mr-2 mb-2 ">
              <label>
                <input type="checkbox" id="culture" value="culture" name="topics" {% if active.culture %}checked=""{% endif %}> <span>KULTURA</span>
              </label>
            </div>

            <div class="checkbox program-checkbox form-field__control mr-2 mb-2 ">
              <label>
                <input type="checkbox" id="technology" value="technology" name="topics" {% if active.technology %}checked=""{% endif %}> <span>TECHNOLOGIE</span>
              </label>
            </div>

            <div class="checkbox program-checkbox form-field__control mr-2 mb-2 ">
              <label>
                <input type="checkbox" id="countryside" value="countryside" name="topics" {% if active.countryside %}checked=""{% endif %}> <span>REGIONY</span>
              </label>
            </div>

            <div class="checkbox program-checkbox form-field__control mr-2 mb-2 ">
              <label>
                <input type="checkbox" id="housing" value="housing" name="topics" {% if active.housing %}checked=""{% endif %}> <span>BYDLENÍ</span>
              </label>
            </div>

            <div class="checkbox program-checkbox form-field__control mr-2 mb-2 ">
              <label>
                <input type="checkbox" id="education" value="education" name="topics" {% if active.education %}checked=""{% endif %}> <span>VZDĚLÁVÁNÍ</span>
              </label>
            </div>

            <hr class="w-full">
          </div>
        </div>

        <div class="grid grid-cols-4">
          <div class="col-span-4 md:col-span-1">
          </div>
          <div class="col-span-4 md:col-span-3 md:pl-16 mt-5 md:mt-0 inline-flex flex-wrap">
            <button class="btn max-w-max ">
              <div class="btn__body bg-acidgreen py-3 px-5 md:py-5 md:px-16 text-black font-bold head-xs max-w-max w-max">Ukázat program na míru</div>
            </button>

            <a href="{{ page.root_page.program_page_url }}" class="sm:ml-auto w-auto text-left md:text-right mb-4 md:mb-0 mt-6 ">
              Přeskočit formulář <i class="ico--chevron-right"></i>
            </a>
          </div>
        </div>
      </form>
    </section>
  </div>
</main>

{% endblock %}
